Bug 820815 - Automatic view mode displays desktops in a nonsensical way
Automatic view mode displays desktops in a nonsensical way
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
17
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 00:25 EDT by Bojan Smojver
Modified: 2013-07-31 18:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:36:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bojan Smojver 2012-05-11 00:25:08 EDT
Description of problem:
As of remmina 1.0.0, the automatic view is nonsensical. If one sets a resolution of a connection to be smaller than the screen, remmina will display the connection with lots of black padding around the desktop being viewed and essentially maximise the window.

Version-Release number of selected component (if applicable):
remmina-1.0.0-1.fc17.i686

How reproducible:
Always.

Steps to Reproduce:
1. Define a connection with resolution lower than current screen size.
2. Open connection.
3. Remmina maximises the window and displays black padding around the desktop view.
  
Actual results:
Window maximised unnecessarily.

Expected results:
Remmina should respect resolution set in the connection when being set to automatic view mode.

Additional info:
This worked fine in F-16.
Comment 1 Bojan Smojver 2012-05-14 01:48:47 EDT
Actually, this may not be a problem with remmina at all. Just had Citrix ICAClient 12.1 (proprietary) do exactly the same thing on me. Maybe it the new <sarcasm>smart</sarcasm> default of Gnome 3.4 to make everything full screen... Oh dear. :-(
Comment 2 Bojan Smojver 2012-05-15 00:02:14 EDT
It seems like two distinct problems after all. The ICAClient resizing appears to be happening only with mutter and is most likely the result of this silly commit:

http://git.gnome.org/browse/mutter/commit/?id=f2f500836ef217bfbd7bbf5ad54c9248cbdb7925

It seems that mutter "knows better" than the user that actually configured the size of the window - explicitly. Wow!
Comment 3 Christoph Wickert 2012-05-15 05:34:28 EDT
I cannot reproduce the problem with xfwm4, so it's definitely mutter and there is nothing I can do here. Reassigning to mutter.
Comment 4 Bojan Smojver 2012-05-15 05:41:57 EDT
(In reply to comment #3)
> I cannot reproduce the problem with xfwm4, so it's definitely mutter and there
> is nothing I can do here. Reassigning to mutter.

I am actually getting the Remmina problem with metacity, not mutter. But, yeah, it could be one of those "smart" new Gnome things, where the system knows better than user...
Comment 5 Matthias Clasen 2012-05-15 10:49:17 EDT
Yes, the behaviour of mutter has changed to prefer maximization for windows whose size is 'close' to the screen size when they are mapped.

While this may be inconvenient in your particular case, I don't think it is a bug. Window managers have always been free to ignore the applications idea of window size, and the icccm declares that applications have to work with the size they are given - which remmina seems to do here, anyway.
Comment 6 Bojan Smojver 2012-05-15 18:17:37 EDT
(In reply to comment #5)
> Yes, the behaviour of mutter has changed to prefer maximization for windows
> whose size is 'close' to the screen size when they are mapped.

BTW, the problem with Remmina occurs with metacity, not mutter. The other problem, with ICAClient, occurs on mutter (but not metacity) and is described in bug #821589.

> While this may be inconvenient in your particular case, I don't think it is a
> bug. Window managers have always been free to ignore the applications idea of
> window size, and the icccm declares that applications have to work with the
> size they are given - which remmina seems to do here, anyway.

Inconvenient? This is so obviously wrong and broken. It makes these windows ugly too.

I have set the size of my window explicitly (well, my app did, through the setting I put there). I am the user. Why is the window manager second guessing me? Does that mean that when I use resize functionality, windows will be snapping to maximised at will too? Ridiculous.

This is the same thing as obnoxious web sites maximising the browser window for reasons known only to them. At least FF has an option to prevent this from happening. Is there an option in Gnome window managers to disable this obnoxious behaviour?
Comment 7 Bojan Smojver 2012-05-15 18:18:43 EDT
(In reply to comment #6)

> BTW, the problem with Remmina occurs with metacity, not mutter.

Clarification. I did not run it under mutter to verify - maybe it does. The one that I am experiencing is under metacity.
Comment 8 Matthias Clasen 2012-05-15 20:26:46 EDT
Well, metacity has not changed, so then this is a remmina problem after all.
Comment 9 Bojan Smojver 2012-05-16 21:11:35 EDT
(In reply to comment #8)
> Well, metacity has not changed, so then this is a remmina problem after all.

Maybe related:

https://github.com/FreeRDP/Remmina/issues/63

Reassigning back to remmina.
Comment 10 Fedora End Of Life 2013-07-03 17:29:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 18:36:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.